﻿// Добавление прилагательного в словарь документа (Document Dictionary) или пользовательский словарь (User Dictionary) // densen, 04.04.2023
// Выделить слово, запустить скрипт. Разметить тильдами (~), (~~) и (~~~) места и приоритет выполнения переносов в слове. В скобках уточнить окончание прилагательного женского рода единственного числа.


if( !app.documents.length ){
	alert("Нет открытых документов");
	exit();
    }
var myText = app.activeDocument.selection[0].contents;
var myPrompt = (prompt ("Расставьте переносы в имени прилагательном м.р., ед.ч. (окончание ж.р., ед.ч.)", myText + "(ая)"));
if (myPrompt != null) {
    var myWord = myPrompt.slice(0,-6);
    var myFemEnd = myPrompt.slice(-4).slice(1,-1);
    var myMusEnd = myPrompt.slice(-6).slice(0,2);
    
    if (myMusEnd === "ий") { 
        if (myFemEnd === "яя") {
            DocumentDictionary ([myWord+"яя",myWord+"ее",myWord+"ей",myWord+"е~~го",myWord+"ем",myWord+"е~~му",myWord+"юю",myWord+"ие",myWord+"ий",myWord+"им",myWord+"и~~ми",myWord+"их"]);
            } else if (myFemEnd === "ая") {
            DocumentDictionary ([myWord+"ая",myWord+"ое",myWord+"ой",myWord+"о~~го",myWord+"ом",myWord+"о~~му",myWord+"ую",myWord+"ие",myWord+"ий",myWord+"им",myWord+"и~~ми",myWord+"их"]);
            }
        }
    if (myMusEnd === "ой") {
        DocumentDictionary ([myWord+"ая",myWord+"ое",myWord+"ой",myWord+"о~~го",myWord+"ом",myWord+"о~~му",myWord+"ую",myWord+"ые",myWord+"ой",myWord+"ым",myWord+"ы~~ми",myWord+"ых"]);
        }
    if (myMusEnd === "ый") {
        DocumentDictionary ([myWord+"ая",myWord+"ое",myWord+"ой",myWord+"о~~го",myWord+"ом",myWord+"о~~му",myWord+"ую",myWord+"ые",myWord+"ый",myWord+"ым",myWord+"ы~~ми",myWord+"ых"]);
        }
    } else {
        exit();
        }

function DocumentDictionary (word) {
    app.activeDocument.hyphenationExceptions[43].addException(word);    
    }

function UserDictionary (word) {
    app.userDictionaries[43].addWord(word);    
    }